#!/bin/sh

find . -name '*.java' > filelist
xgettext -kTranslator -f filelist -o po/messages.pot
rm filelist

for i in po/*.po
do
	msgmerge -U $i po/messages.pot
	polang=`basename $i .po`
	echo $polang
	msgfmt -j -l $polang -r gettextdemo.messages -d build $i
done
